Skip to content

Feedbacks List ​

http
GET /api/v1/feedbacks

Base URL: https://feedbacks-api.wildberries.ru · Module: communications · Section: Feedbacks · Specification doc ↗

The method allows you to get a list of feedbacks by the specified parameters with pagination and sorting

Request limit per one seller account for all methods in the Feedbacks and Questions category:

TypePeriodLimitIntervalBurst
Personal1 s3 requests333 ms6 requests
Service1 s3 requests333 ms6 requests
Base with secret1 s3 requests333 ms6 requests
Base1 h5 requests12 min1 request

Parameters ​

NameInTypeReq.Description
isAnsweredquerybooleanyesReturn only processed feedbacks: - true — yes - false — no
nmIdqueryinteger<int64>noWB item number
takequeryinteger<int64>yesNumber of feedbacks (max. 5 000)
skipqueryinteger<int64>yesNumber of feedbacks for skip (max. 199990)
orderquerystringnoSorting of feedbacks by date (dateAsc/dateDesc)
dateFromqueryinteger<int64>noThe start date of the period in Unix timestamp format
dateToqueryinteger<int64>noThe end date of the period in Unix timestamp format

Responses ​

CodeDescriptionSchema
200SuccessGetV1FeedbacksResponse200
400Bad requestresponseFeedbackQuestionErr
401Unauthorizedobject
402Payment requiredobject
403Access deniedresponseFeedbackQuestionErr
429Too many requestsobject

Structure 200:

  • data object
    • countUnanswered integer<int64> — Number of unanswered feedbacks
    • countArchive integer<int64> — Number of archived feedbacks
    • feedbacks object[] — Array of structure of feedbacks
      • id string — Feedback ID
      • text string — Feedback text
      • pros string — Item pros
      • cons string — Item cons
      • productValuation integer<int64> — Item rate
      • createdDate string — Date and time the feedback was created
      • answer object — Reply structure
        • text string — Reply text
        • state string — Status: - none — new - wbRu — displayed on the site - reviewRequired — response being reviewed - rejected — response rejected
        • editable boolean — Whether the response can be edited: - false — no - true — yes
      • state string — Feedback status: - none - unanswered (new) - wbRu - answered
      • productDetails object — Item information
        • nmId integer<int64> — WB item number
        • imtId integer<int64> — Merged listing ID
        • productName string — Item name
        • supplierArticle string — Seller item number
        • supplierName string — Seller's name
        • brandName string — Item brand
        • size string — Item size (`techSize' in the listing)
      • photoLinks object[] — Array of structure of images
        • fullSize string — Link of full-size images
        • miniSize string — Link of small-size images
      • video object — Video structure
        • previewImage string — URL to the video cover image
        • link string — URL to the video playlist file (available via HLS protocol)
        • durationSec integer<int64> — Total duration of the video
      • wasViewed boolean — If the feedback was viewed
      • userName string — Name of the feedback author
      • orderStatus string — Order status. Possible values: - buyout — bought out - rejected — rejected - returned — returned - notSpecified — status not assigned
      • matchingSize string — Compliance of the declared size with the real one. Possible values: - — for dimensionless items - ок — matches to the size - smaller — runs small - bigger — runs large
      • isAbleSupplierFeedbackValuation boolean — Is the seller able to file a report about the feedback (true — available, false — not available)
      • supplierFeedbackValuation integer<int64> — Reason for report about the feedback
      • isAbleSupplierProductValuation boolean — Item issue
      • supplierProductValuation integer<int64> — Item rating left by the seller
      • isAbleReturnProductOrders boolean — Item return option: - true — available - false — unavailable
      • returnProductOrdersDate string — Date and time when a response with status code 200 was received for the return request.
      • bables string[] — List of customer tags
      • lastOrderShkId integer<int64> — SKU of the item
      • lastOrderCreatedAt string — Date of purchase
      • color string — Item color
      • subjectId integer<int64> — Subcategory ID
      • subjectName string — Subcategory name
      • parentFeedbackId string — ID of the original feedback (null if this feedback is original)
      • childFeedbackId string — ID of the updated feedback (null if this feedback is updated)
  • error boolean — Error presence
  • errorText string — Error description
  • additionalErrors string[] — Additional errors

Structure 400:

  • data object
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors string[] — Additional errors
  • requestId string

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • data object
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors string[] — Additional errors
  • requestId string

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.communications import Configuration, ApiClient
from wb_api_client.communications.api import CommunicationsApi

cfg = Configuration(access_token="<your WB JWT>")
api = CommunicationsApi(ApiClient(cfg))

result = api.get_v1_feedbacks(is_answered=..., take=..., skip=..., nm_id=..., order=..., date_from=..., date_to=...)
print(result)
ts
import {
  Configuration,
  CommunicationsApi,
} from "@valeryverkhoturov/wb-api-client/communications";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new CommunicationsApi(cfg);

const { data } = await api.getV1Feedbacks(isAnswered, take, skip, nmId, order, dateFrom, dateTo);
console.log(data);
go
import (
	"context"
	"fmt"

	wbcommunications "github.com/ValeryVerkhoturov/wb-api-client-go/communications"
)

cfg := wbcommunications.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbcommunications.NewAPIClient(cfg)

result, _, err := client.CommunicationsAPI.GetV1Feedbacks(context.Background()).IsAnswered(isAnswered).Take(take).Skip(skip).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.communications.ApiClient;
import io.github.valeryverkhoturov.wbapi.communications.SecretString;
import io.github.valeryverkhoturov.wbapi.communications.api.CommunicationsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
CommunicationsApi api = new CommunicationsApi(client);

System.out.println(api.getV1Feedbacks(isAnswered, take, skip, nmId, order, dateFrom, dateTo));
php
use ValeryVerkhoturov\WbApiClient\Communications\Configuration;
use ValeryVerkhoturov\WbApiClient\Communications\SecretString;
use ValeryVerkhoturov\WbApiClient\Communications\Api\CommunicationsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new CommunicationsApi(new Client(), $config);

print_r($api->getV1Feedbacks($is_answered, $take, $skip));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый CommunicationsApi(Настройки);

Сообщить(Клиент.GetV1Feedbacks(isAnswered, take, skip).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Communications.Api;
using ValeryVerkhoturov.WbApiClient.Communications.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new CommunicationsApi(config);

Console.WriteLine(api.GetV1Feedbacks(isAnswered, take, skip));
rust
use wb_api_client::communications::apis::{configuration::Configuration, communications_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = communications_api::get_v1_feedbacks(&cfg, is_answered, take, skip, nm_id, order, date_from, date_to).await;
    println!("{:#?}", result);
}